﻿-- Locale
local AceLocale = LibStub:GetLibrary("AceLocale-3.0");
local AL = AceLocale:NewLocale("RareScanner", "ptBR", false);

if AL then
	-- UI strings
	AL["CHECK_MAP"] = "Check your map!";
	AL["UNKNOWN_TARGET"] = "Unknown target";
	AL["JUST_SPAWNED"] = " just showed up";
	AL["NOT_TARGETEABLE"] = "Not targeteable";
	AL["CLICK_TARGET"] = "Click to target NPC";
	AL["ALARM_MESSAGE"] = "A rare NPC just showed up, check your map!";
	
	-- UI config panel
	AL["GENERAL_OPTIONS"] = "General options";
	AL["ENABLE_SCAN_RARES"] = "Toggle searching rare NPCs";
	AL["ENABLE_SCAN_RARES_DESC"] = "When this is activated you will be warned visually and with a sound everytime a rare NPC shows up in your minimap";
	AL["ENABLE_SCAN_CONTAINERS"] = "Toggle searching treasures or chests";
	AL["ENABLE_SCAN_CONTAINERS_DESC"] = "When this is activated you will be warned visually and with a sound everytime a treasure or chest shows up in your minimap";
	AL["ENABLE_SCAN_EVENTS"] = "Toggle searching events";
	AL["ENABLE_SCAN_EVENTS_DESC"] = "When this is activated you will be warned visually and with a sound everytime an event shows up in your minimap";
	AL["SOUND"] = "Sound";
	AL["SOUND_OPTIONS"] = "Sound options";
	AL["ALARM_SOUND"] = "Warning sound";
	AL["ALARM_SOUND_DESC"] = "Sound played when a rare NPC, treasure/chest or event shows up in your minimap";
	AL["DISPLAY"] = "Display";
	AL["DISPLAY_OPTIONS"] = "Display options";
	AL["DISPLAY_BUTTON"] = "Toggle showing the button and the miniature";
	AL["DISPLAY_BUTTON_DESC"] = "When disabled the button and the miniature won't be shown again. It doesn't affect the alarm sound and the chat alerts.";
	AL["AUTO_HIDE_BUTTON"] = "Autohide button and miniature";
	AL["AUTO_HIDE_BUTTON_DESC"] = "Hides the button and the miniature automatically after the time selected (in seconds). If you select zero seconds the button and the miniature won't autohide.";
	AL["SHOW_CHAT_ALERT"] = "Toggle showing chat alerts";
	AL["SHOW_CHAT_ALERT_DESC"] = "Shows a private message in the chat every time a treasure, chest or NPC is found.";
	
	-- Rares Pandaria
	AL["Aeonaxx"] = 50062; --Aeonaxx
	AL["Aetha"] = 58778; --Aetha
	AL["Aethis"] = 50750; --Aethis
	AL["Ahone, a Errante"] = 50817; --Ahone the Wanderer
	AL["Ai-Li Espelho do Céu"] = 50821; --Ai-Li Skymirror
	AL["Ai-Ran, a Nuvem que Passa"] = 50822; --Ai-Ran the Shifting Cloud
	AL["Al'tabim, que Tudo Vê"] = 70000; --Al'tabim the All-Seeing
	AL["Ankha"] = 54318; --Ankha
	AL["Anthriss"] = 54338; --Anthriss
	AL["Bispo das Chamas"] = 73666; --Archiereus of Flame
	AL["Arquirritualista Kelada"] = 70243; --Archritualist Kelada
	AL["Arness, a Balança"] = 50787; --Arness the Scale
	AL["Quebradorso Uru"] = 70001; --Backbreaker Uru
	AL["Bai-Jin, o Carniceiro"] = 58949; --Bai-Jin the Butcher
	AL["Ban'thalos"] = 54320; --Ban'thalos
	AL["Baolai, o Imolador"] = 63695; --Baolai the Immolator
	AL["Casco Negro"] = 51059; --Blackhoof
	AL["Matriarca Aguilhão Sangrento"] = 58474; --Bloodtip
	AL["Bonobos"] = 50828; --Bonobos
	AL["Borginn Punho Negro"] = 50341; --Borginn Darkfist
	AL["Bufo"] = 72775; --Bufo
	AL["Campeão da Chama Negra"] = 73171; --Champion of the Black Flame
	AL["Chelon"] = 72045; --Chelon
	AL["Chuva de Cinzas"] = 73175; --Cinderfall
	AL["Andáguas Cournith"] = 50768; --Cournith Waterstrider
	AL["Estaladonte"] = 58768; --Cracklefang
	AL["Mastigarça"] = 72049; --Cranegnasher
	AL["Dak, o Quebrador"] = 50334; --Dak the Breaker
	AL["Dalan Rompenoite"] = 68318; --Dalan Nightbreaker
	AL["Deth'tilac"] = 54322; --Deth'tilac
	AL["Disha Fazmedrar"] = 68319; --Disha Fearwarden
	AL["Doutor Theolen Krastinov"] = 59369; --Doctor Theolen Krastinov
	AL["Navio Fantasma Vazúvio"] = 73281; --Dread Ship Vazuvius
	AL["Ganso Esmeralda"] = 73158; --Emerald Gander
	AL["Eshelon"] = 50772; --Eshelon
	AL["Bocarra"] = 73279; --Evermaw
	AL["Ferdinando"] = 51078; --Ferdinand
	AL["Carne'rok, o Doente"] = 70429; --Flesh'rok the Diseased
	AL["Gairan, o Senhor da Centelha"] = 73172; --Flintlord Gairan
	AL["Olho Focado"] = 70249; --Focused Eye
	AL["Gaarn, o Tóxico"] = 50340; --Gaarn the Toxic
	AL["Gaohun, o Corta-almas"] = 62881; --Gaohun the Soul-Severer
	AL["Gar'lok"] = 50739; --Gar'lok
	AL["Garnia"] = 73282; --Garnia
	AL["General Temuja"] = 63101; --General Temuja
	AL["Rastejante Espectral"] = 50051; --Ghostcrawler
	AL["Go-Kan"] = 50331; --Go-Kan
	AL["Gochao, o Punho de Ferro"] = 62880; --Gochao the Ironfist
	AL["Deus-bruto Ramuk"] = 69999; --God-Hulk Ramuk
	AL["Goda"] = 69998; --Goda
	AL["Golganarr"] = 72970; --Golganarr
	AL["Grande Tartaruga Cascofúria"] = 73161; --Great Turtle Furyshell
	AL["Gu'chi, o Arauto do Enxame"] = 72909; --Gu'chi the Swarmbringer
	AL["Havak"] = 50354; --Havak
	AL["Constructo Fendessol Enlouquecido"] = 50358; --Haywire Sunreaver Construct
	AL["Huo-Shuang"] = 63691; --Huo-Shuang
	AL["Huolon"] = 73167; --Huolon
	AL["Ik-Ik, o Ligeiro"] = 50836; --Ik-Ik the Nimble
	AL["Píton Imperial"] = 73163; --Imperial Python
	AL["Chifreaço Veloférreo"] = 73160; --Ironfur Steelhorn
	AL["Presajade"] = 49822; --Jadefang
	AL["Jakur de Ordon"] = 73169; --Jakur of Ordon
	AL["Jonn-Dar"] = 50351; --Jonn-Dar
	AL["Kah'tir"] = 50355; --Kah'tir
	AL["Kal'tik, a Praga"] = 50749; --Kal'tik the Blight
	AL["Kang, o Ladrão de Almas"] = 50349; --Kang the Soul Thief
	AL["Kar Belikoz"] = 68321; --Kar Warmaker
	AL["Karkanos"] = 72193; --Karkanos
	AL["Karkin"] = 50959; --Karkin
	AL["Karoma"] = 50138; --Karoma
	AL["Karr, o Obscurecente"] = 50347; --Karr the Darkener
	AL["Kirix"] = 54323; --Kirix
	AL["Kor'nas Noite Preta"] = 50338; --Kor'nas Nightsavage
	AL["Korda Torros"] = 50332; --Korda Torros
	AL["Krakkanon"] = 70323; --Krakkanon
	AL["Krax'ik"] = 50363; --Krax'ik
	AL["Kri'chon"] = 63978; --Kri'chon
	AL["Krol, a Lâmina"] = 50356; --Krol the Blade
	AL["Ku'lai, a Garra dos Céus"] = 69996; --Ku'lai the Skyclaw
	AL["Remenda-folhas"] = 73277; --Leafmender
	AL["Lith'ik, o Espreitador"] = 50734; --Lith'ik the Stalker
	AL["Lon, o Touro"] = 50333; --Lon the Bull
	AL["Lu-Ban"] = 70002; --Lu-Ban
	AL["Magria"] = 54319; --Magria
	AL["Major Nananina"] = 50840; --Major Nanners
	AL["Mavis Prejuz"] = 68317; --Mavis Harms
	AL["Mestre Feroz"] = 50823; --Mister Ferocious
	AL["Moldo Caolho"] = 50806; --Moldo One-Eye
	AL["Molthor"] = 70003; --Molthor
	AL["Monara"] = 70440; --Monara
	AL["Garrespinha Monstruoso"] = 73166; --Monstrous Spineclaw
	AL["Morgrinn Rachapresa"] = 50350; --Morgrinn Crackfang
	AL["Muerta"] = 68322; --Muerta
	AL["Mumta"] = 69664; --Mumta
	AL["Nal'lak, o Estripador"] = 50364; --Nal'lak the Ripper
	AL["Nalash Verdantis"] = 50776; --Nalash Verdantis
	AL["Nasra Pintalgas"] = 50811; --Nasra Spothide
	AL["Nessos, o Oráculo"] = 50789; --Nessos the Oracle
	AL["No'kah Manda-procela"] = 70276; --No'ku Stormsayer
	AL["Norlaxx"] = 50344; --Norlaxx
	AL["Omnis Grinlok"] = 50805; --Omnis Grinlok
	AL["Lorde Supremo Furicorte"] = 50085; --Overlord Sunderfury
	AL["Príncipe Lakma"] = 54533; --Prince Lakma
	AL["Primogenitus"] = 69997; --Progenitus
	AL["Qa'nas"] = 50352; --Qu'nas
	AL["Quid"] = 58771; --Quid
	AL["Ra'sha"] = 70530; --Ra'sha
	AL["Chiadeira"] = 72048; --Rattleskew
	AL["Musgo Rochoso"] = 73157; --Rock Moss
	AL["Horror de Pedra"] = 70430; --Rocky Horror
	AL["Ruun Patalmas"] = 50816; --Ruun Ghostpaw
	AL["Sahn Caçador de Maré"] = 50780; --Sahn Tidehunter
	AL["Salyin Batedor da Guerra"] = 50783; --Salyin Warscout
	AL["Simbas"] = 50159; --Sambas
	AL["Sarnak"] = 50782; --Sarnak
	AL["Kossa"] = 50831; --Scritch
	AL["Sele'na"] = 50766; --Sele'na
	AL["Mestre Sombrio Sydow"] = 63240; --Shadowmaster Sydow
	AL["Siltriss, o Afiador"] = 50791; --Siltriss the Sharpener
	AL["Skarr"] = 50815; --Skarr
	AL["Ski'thik"] = 50733; --Ski'thik
	AL["Rastejante das Chamas"] = 54324; --Skitterflame
	AL["Solix"] = 54321; --Solix
	AL["Spelurk"] = 71864; --Spelurk
	AL["Espírito de Flamejade"] = 72769; --Spirit of Jadefire
	AL["Espírito de Lao-Fe"] = 58817; --Spirit of Lao-Fe
	AL["Gálion"] = 50830; --Spriggin
	AL["Trança-fétida"] = 73704; --Stinkbraid
	AL["Sulik'shor"] = 50339; --Sulik'shor
	AL["Tarvus, o Torpe"] = 50086; --Tarvus the Vile
	AL["O Berrante"] = 50832; --The Yowler
	AL["Torik-Ethis"] = 50388; --Torik-Ethis
	AL["Tsavo'ka"] = 72808; --Tsavo'ka
	AL["Ubunti, o Vulto"] = 68320; --Ubunti the Shade
	AL["Olho Sempre Aberto"] = 70238; --Unblinking Eye
	AL["Urdur, o Cauterizador"] = 73173; --Urdur the Cauterizer
	AL["Urgolax"] = 50359; --Urgolax
	AL["Urobi, o Andarilho"] = 50808; --Urobi the Walker
	AL["Boca-de-alicate"] = 58769; --Vicejaw
	AL["Vyraxxis"] = 63977; --Vyraxxis
	AL["Deus da Guerra Dokah"] = 70096; --War-God Dokah
	AL["Vigia Osu"] = 73170; --Watcher Osu
	AL["Whizzig"] = 73293; --Whizzig
	AL["Willy Wilder"] = 70126; --Willy Wilder
	AL["Wulon"] = 63510; --Wulon
	AL["Yorik Vistaboa"] = 50336; --Yorik Sharpeye
	AL["Yul Garragreste"] = 50820; --Yul Wildpaw
	AL["Zai, o Pária"] = 50769; --Zai the Outcast
	AL["Armipotente Zandalari"] = 69769; --Zandalari Warbringer cian
	AL["Armipotente Zandalari"] = 69842; --Zandalari Warbringer gray
	AL["Armipotente Zandalari"] = 69841; --Zandalari Warbringer silver
	AL["Batedor da Guerra Zandalari"] = 69768; --Zandalari Warscout
	AL["Zao'cho"] = 69843; --Zao'cho
	AL["Zesqua"] = 72245; --Zesqua
	AL["Zhu-Gon, o Azedo"] = 71919; --Zhu-Gon the Sour

	-- Rares Draenor
	AL["Amaukwa"] = 77140; --Amaukwa
	AL["Mestre de Espadas Ancião"] = 82899; --Ancient Blademaster
	AL["Aqualir"] = 86213; --Aqualir
	AL["Avatar de Socrethar"] = 88043; --Avatar of Socrethar
	AL["Ba'ruun"] = 82326; --Ba'ruun
	AL["Bahamolho"] = 81406; --Bahameye
	AL["Bashiok"] = 82085; --Bashiok
	AL["Talha-feras Saramor"] = 78150; --Beastcarver Saramor
	AL["Bete Batestaca"] = 84887; --Betsi Boombasket
	AL["Aeryx Dança-das-lâminas"] = 80614; --Blade-Dancer Aeryx
	AL["Pragalume"] = 84856; --Blightglow
	AL["Reispinho Fili"] = 81639; --Brambleking Fili
	AL["Sem Fôlego"] = 78867; --Breathless
	AL["Brutag Laminatroz"] = 87234; --Brutag Grimblade
	AL["Mãe Gélida do Cânion"] = 71721; --Canyon Icemother
	AL["Char, o Ardente"] = 82311; --Char the Burning
	AL["Presa Gélida"] = 80242; --Chillfang
	AL["Gorjardente"] = 72294; --Cindermaw
	AL["Fala-nuvens Daber"] = 78169; --Cloudspeaker Daber
	AL["Passofrio, o Enlutado"] = 77513; --Coldstomp the Griever
	AL["Presafria"] = 76914; --Coldtusk
	AL["Rasga-carne Cro"] = 77620; --Cro Fleshrender
	AL["Fúria Ciclônica"] = 78621; --Cyclonic Fury
	AL["Emanação Sombria"] = 77085; --Dark Emanation
	AL["Umbromestre Go'vid"] = 82268; --Darkmaster Go'vid
	AL["Garranegra"] = 82411; --Darktalon
	AL["Kizi Tiro-certo"] = 77763; --Deadshot Kizi
	AL["Rádix"] = 82058; --Depthroot
	AL["Durocasco"] = 86729; --Direhoof
	AL["Dr. Tristeza"] = 77561; --Dr. Gloom
	AL["Durkath Gorjaço"] = 84807; --Durkath Steelmaw
	AL["Elementalista Utrah"] = 77768; --Elementalist Utrah
	AL["Enavra"] = 82676; --Enavra
	AL["Enavra"] = 82742; --Enavra
	AL["Faraluz"] = 82207; --Faebright
	AL["Diláceros"] = 82975; --Fangler
	AL["Troncovil"] = 80204; --Felbark
	AL["Consorte Fogovil"] = 82992; --Felfire Consort
	AL["Flor-de-pus"] = 84890; --Festerbloom
	AL["Gigante Furiachama"] = 74971; --Firefury Giant
	AL["Tacafogo Grash"] = 88580; --Firestarter Grash
	AL["Courotala"] = 83483; --Flinthide
	AL["Matrona da Forja Targa"] = 77648; --Forge Matron Targa
	AL["Madeiróssil, o Petrificado"] = 85250; --Fossilwood the Petrified
	AL["Golem Enlouquecido"] = 77614; --Frenzied Golem
	AL["Galzomar"] = 78713; --Galzomar
	AL["Gar'lua"] = 82764; --Gar'lua
	AL["Jece Guarnição"] = 86058; --Garrison Ford
	AL["Gelgor, da Chama Azul"] = 81038; --Gelgor of the Blue Flame
	AL["General Aevd"] = 82882; --General Aevd
	AL["Gennadian"] = 80471; --Gennadian
	AL["Mata-Gigantes Kul"] = 71665; --Giant-Slayer Kul
	AL["Mata-gigantes Kimla"] = 78144; --Giantslayer Kimla
	AL["Asaluz"] = 77719; --Glimmerwing
	AL["Glut"] = 80868; --Glut
	AL["Casco Nodoso, o Colérico"] = 82778; --Gnarlhoof the Rabid
	AL["Gorum"] = 76380; --Gorum
	AL["Grã-marechal Tremulâmina"] = 82876; --Grand Marshal Tremblade
	AL["Pena Grande"] = 82758; --Greatfeather
	AL["Greldok, o Astuto"] = 84431; --Greldrok the Cunning
	AL["Bocaina Velha"] = 82912; --Grizzlemaw
	AL["Caçador de Gronns Dawarn"] = 78128; --Gronnstalker Dawarn
	AL["Guardião do Bosque Yal"] = 88583; --Grove Warden Yal
	AL["Grutush, o Espoliador"] = 80312; --Grutush the Pillager
	AL["Gruuk"] = 80190; --Gruuk
	AL["Gurun"] = 80235; --Gurun
	AL["Haakun, o Devorador Universal"] = 83008; --Haakun the All-Consuming
	AL["Dentemalho"] = 77715; --Hammertooth
	AL["Mãe-galinha Hami"] = 77626; --Hen-Mother Hami
	AL["Ermitão Pelobranco"] = 86724; --Hermit Palefur
	AL["Sumo Senhor da Guerra Volrath"] = 82877; --High Warlord Volrath
	AL["Caçadora Bal'ra"] = 88672; --Hunter Bal'ra
	AL["Caçador Dente Negro"] = 83603; --Hunter Blacktooth
	AL["Mestre da Caça Kuang"] = 78151; --Huntmaster Kuang
	AL["Hipérius"] = 78161; --Hyperious
	AL["Insha'tar"] = 83553; --Insha'tar
	AL["Bocarranca"] = 82616; --Jabberjaw
	AL["Jaluk, o Pacificador"] = 87600; --Jaluk the Pacifist
	AL["Jiasska, a Esporular"] = 84955; --Jiasska the Sporegorger
	AL["Kalos, o Ensanguentado"] = 84810; --Kalos the Bloodbathed
	AL["Karosh Vento Negro"] = 86959; --Karosh Blackwind
	AL["Kharazos, o Triunfante"] = 78710; --Kharazos the Triumphant
	AL["Mandíbulus"] = 74206; --Killmaw
	AL["Klikixx"] = 78872; --Klikixx
	AL["Ku'targ, o Vidente do Caos"] = 72362; --Ku'targ the Voidseer
	AL["Lady Temptessa"] = 85121; --Lady Temptessa
	AL["Kurri Decifrondes"] = 72537; --Leaf-Reader Kurri
	AL["Lo'marg Quabra-queixo"] = 77784; --Lo'marg Jawcrusher
	AL["Lorde Korinak"] = 82920; --Lord Korinak
	AL["Rei Louco Sporeon"] = 77310; --Mad "King" Sporeon
	AL["Malroc Rachapedra"] = 83643; --Malroc Stonesunder
	AL["Mandrakor"] = 84406; --Mandrakor
	AL["Marechal Gabriel"] = 82878; --Marshal Gabriel
	AL["Marechal Karsh Tempesforja"] = 82880; --Marshal Karsh Stormforge
	AL["Matrona do Pecado"] = 82998; --Matron of Sin
	AL["Torce-almas Morva"] = 82362; --Morva Soultwister
	AL["Aranha Matriarca"] = 76473; --Mother Araneae
	AL["Mãe Om'ra"] = 75071; --Mother Om'ra
	AL["Mutafen"] = 84417; --Mutafen
	AL["Nas Dunberlin"] = 82247; --Nas Dunberlin
	AL["No'losh"] = 79334; --No'losh
	AL["Ofiis"] = 83409; --Ophiis
	AL["Oskiira, a Vingativa"] = 84872; --Oskiira the Vengeful
	AL["Pioneira Duretha"] = 83680; --Outrider Duretha
	AL["Peixeiro Pálido"] = 78606; --Pale Fishmonger
	AL["Desbravador Jalog"] = 78134; --Pathfinder Jalog
	AL["Espreitadora Draga"] = 77095; --Pathstalker Draga
	AL["Fera do Fosso"] = 88208; --Pit Beast
	AL["Mestre de Venenos Bortusk"] = 84838; --Poisonmaster Bortusk
	AL["Primevista Mur'og"] = 76918; --Primalist Mur'og
	AL["Lançafogo Zindra"] = 77642; --Pyrecaster Zindra
	AL["Ra'kahn"] = 77741; --Ra'kahn
	AL["Ragore Sombresquiva"] = 84392; --Ragore Driftstalker
	AL["Rai'vosh"] = 82374; --Rai'vosh
	AL["Garra Rubra, o Bestial"] = 82755; --Redclaw the Feral
	AL["Chapéu-podre"] = 85504; --Rotcap
	AL["Sangrikass"] = 84833; --Sangrikass
	AL["Batedor Buscassangue"] = 77526; --Scout Goreseeker
	AL["Sean Albamar"] = 83542; --Sean Whitesea
	AL["Umbracasca"] = 79938; --Shadowbark
	AL["Shinri"] = 82415; --Shinri
	AL["Sikthiss, Dama do Massacre"] = 78715; --Sikthiss, Maiden of Slaughter
	AL["Ancião Folha-prata"] = 79686; --Silverleaf Ancient
	AL["Ancião Folha-prata"] = 79693; --Silverleaf Ancient
	AL["Ancião Folha-prata"] = 79692; --Silverleaf Ancient
	AL["Amplificador Solar"] = 83990; --Solar Magnifier
	AL["Presalma"] = 80057; --Soulfang
	AL["Presa-de-aço"] = 86549; --Steeltusk
	AL["Pisoteador Kreego"] = 79629; --Stomper Kreego
	AL["Cuspétreo"] = 84805; --Stonespite
	AL["Sulfúreo"] = 80725; --Sulfurious
	AL["Garrassolar"] = 86137; --Sunclaw
	AL["Aguilhante"] = 84912; --Sunderthorn
	AL["Vespafólia"] = 85520; --Swarmleaf
	AL["Rancapele Ônix Ligeiro"] = 88582; --Swift Onyx Flayer
	AL["Quebra-garras"] = 84836; --Talonbreaker
	AL["Sacerdotisa da Garra Zorkra"] = 79485; --Talonpriest Zorkra
	AL["Tesska, a Degradada"] = 84775; --Tesska the Broken
	AL["O Espancador"] = 77527; --The Beater
	AL["Tor'goroth"] = 82618; --Tor'goroth
	AL["Tura'aka"] = 83591; --Tura'aka
	AL["Varasha"] = 82050; --Varasha
	AL["Veloss"] = 75482; --Veloss
	AL["Assolador Caótico Urnae"] = 85078; --Voidreaver Urnae
	AL["Vidente do Caos Kalurg"] = 83385; --Voidseer Kalurg
	AL["Vulceros"] = 77926; --Vulceros
	AL["Vindicante Erradio"] = 77776; --Wandering Vindicator
	AL["Mago de Guerra Bargol"] = 78733; --Warcaster Bargol
	AL["Mestre Guerreiro Blugthol"] = 79024; --Warmaster Blugthol
	AL["Matriarca Presavento"] = 75434; --Windfang Matriarch
	AL["Xothear, o Destruidor"] = 82922; --Xothear, the Destroyer
	AL["Yaga, a Marcada"] = 79145; --Yaga the Scarred
	AL["Yazheera, a Incineradora"] = 77529; --Yazheera the Incinerator
	AL["Yggdrel"] = 75435; --Yggdrel
end